TemporalPointSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.time
Class TemporalPointSupport

    java.lang.Object
      com.bbn.openmap.omGraphics.time.TemporalSupport
          com.bbn.openmap.omGraphics.time.TemporalPointSupport

    public class TemporalPointSupport

extends TemporalSupport

Field Summary
`protected int` | `renderType`

Fields inherited from class com.bbn.openmap.omGraphics.time.TemporalSupport
`logger, temporals`

Constructor Summary
`TemporalPointSupport(int renderType)`

Method Summary
`java.util.TreeSet<TemporalPoint>` | `createTemporalSet()`
`protected TemporalRecord` | `interpolate(long time, TemporalRecord previous, TemporalRecord next)` Just returns the TemporalRecord that is closes to the current time.
`java.util.Iterator<TemporalPoint>` | `iterator()`

Methods inherited from class com.bbn.openmap.omGraphics.time.TemporalSupport
`add, clear, getPosition, getTemporals, remove, setTemporals, updateForTemporal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### renderType

    protected int renderType

Constructor Detail

### TemporalPointSupport

    public TemporalPointSupport(int renderType)

Method Detail

### createTemporalSet

    public java.util.TreeSet<TemporalPoint> createTemporalSet()

  Specified by:
    `createTemporalSet` in class `TemporalSupport`

### iterator

    public java.util.Iterator<TemporalPoint> iterator()

  Specified by:
    `iterator` in class `TemporalSupport`

### interpolate

    protected TemporalRecord interpolate(long time,
                                         TemporalRecord previous,
                                         TemporalRecord next)

  Just returns the TemporalRecord that is closes to the current time. Assumes neither previous or next are null.

  Overrides:
    `interpolate` in class `TemporalSupport`
  Parameters:
    `time` - the current time.
    `previous` - TemporalRecord that occurred before current time.
    `next` - TemporalRecord that occurred after current time.
  Returns:
    closest one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details